Bug 198289 - Review Request: python-paste-script - A pluggable command-line frontend
Review Request: python-paste-script - A pluggable command-line frontend
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 189338 198287 198288
  Show dependency treegraph
 
Reported: 2006-07-10 16:50 EDT by Luke Macken
Modified: 2016-09-19 22:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-21 13:16:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2006-07-10 16:50:22 EDT
Spec URL: http://people.redhat.com/lmacken/python-pastescript.spec
SRPM URL: http://people.redhat.com/lmacken/python-pastescript-0.9-1.src.rpm
Description:
Paster is pluggable command-line frontend, including commands to setup package
file layouts

Built-in features:

 * Creating file layouts for packages.
   For instance a setuptools-ready file layout.
 * Serving up web applications, with configuration based on paste.deploy
Comment 1 John Mahowald 2006-08-15 23:37:44 EDT
rpmlint:

E: python-pastescript zero-length
/usr/lib/python2.4/site-packages/PasteScript-0.9-py2.4.egg-info/not-zip-safe
Ignore.

W: python-pastescript doc-file-dependency
/usr/share/doc/python-pastescript-0.9/docs/example_cgi_app.ini /usr/bin/env
W: python-pastescript doc-file-dependency
/usr/share/doc/python-pastescript-0.9/docs/example_wsgiutils_app.ini /usr/bin/env
Many python scripts require this, ignore.


About the name, upstream does use capitals when refering to Paste Script,
however Debian also does python-pastescript, I'm inclined to follow along.

* Uses both $RPM_BUILD_ROOT and %{buildroot}. Still readable but easily fixed on
next commit.

Good:
+ builds on devel x86_64
+ uses setuptools
+ license (MIT)
+ noarch
+ sources match upstream
+ sitelib macro
+ follows python templates for macros and file listing script
+ proper %clean
+ macro usage throughout
+ file permissions and ownership

Nearly ready for approval, but let's get resolution on the naming issue. See
also python-pastedeploy, bug #198288
Comment 2 Toshio Kuratomi 2006-08-21 11:37:58 EDT
The Packaging Committee discussed this naming briefly on the fedora-packaging
mailing list and decided that it was the maintainer's discretion how to format
this portion of the package name.  Some upstream packages might name their
packages a specific way (pastescript.tar.gz or paste-scripts.tar.gz) in which
case it would be good to following upstream's lead is a good indicator.  But the
maintainer has final say as to what makes the most sense.  FWIW, Debian seems to
have adopted the same policy, with some packages with a dash
(python-twisted-conch) and others not (python-pastescript).
Comment 3 Luke Macken 2006-08-21 12:16:13 EDT
Thanks for looking into the naming issue Toshio.

http://people.redhat.com/lmacken/python-paste-script-0.9-3.src.rpm
http://people.redhat.com/lmacken/python-paste-script.spec

* Sat Jul 29 2006 Luke Macken <lmacken@redhat.com> - 0.9-3
- Require python-paste-deploy

* Wed Jul 26 2006 Luke Macken <lmacken@redhat.com> - 0.9-2
- Rename to python-paste-script
- Use consistent buildroot variables
- Fix docs inclusion
Comment 4 Luke Macken 2006-08-21 12:32:12 EDT
http://people.redhat.com/lmacken/python-paste-script-0.9-4.src.rpm
http://people.redhat.com/lmacken/python-paste-script.spec

* Mon Aug 21 2006 Luke Macken <lmacken@redhat.com> - 0.9-4
- Include .pyo files instead of ghosting them.
Comment 5 John Mahowald 2006-08-21 12:52:50 EDT
Looks fine, builds fine, see review in comment 1.

APPROVED
Comment 6 Luke Macken 2006-08-21 13:16:14 EDT
Imported into CVS, added to owners.list, requested FC-5 CVS branch, tagged and
built for devel.  Thanks!
Comment 7 Christian Iseli 2007-01-02 18:25:27 EST
Changed summary for tracking purposes.
Comment 8 Dan Callaghan 2014-07-14 21:22:31 EDT
Please un-retire the epel7 branch.

Package Change Request
======================
Package Name: python-paste-script
New Branches: epel7
Owners: dcallagh
Comment 9 Jon Ciesla 2014-07-15 08:27:06 EDT
Complete.

Note You need to log in before you can comment on or make changes to this bug.